Subject: Re: bug#6076: 23.1.96; [PATCH] rcirc-complete for nicks and commands

From: Juri Linkov <[email-masked]>
Date: Tue, 04 May 2010 23:01:09 +0300

> So, I see it as an implementation problem where we want to make
> in-buffer completion modal to some extent: when in-buffer completion is
> started you'd be put into a new "mode" (kind of like isearch, I guess),
> where new completion commands become available.  The main problem is
> how/when to leave this mode (it should be as seamless as possible).
> Some other reason for such a change: we want to be able to run code when
> completion is finished, e.g. to hide the *Completion* buffer.

Isearch-like mode would be a good thing.  Typing a key not bound
in its mode map will leave this mode and hide the *Completions* buffer.

Also like in isearch, typing M-e could activate the minibuffer with
the current completion string and provide normal UI for completion.
Leaving this minibuffer should copy the completion string from the
minibuffer to the original buffer.

-- 
Juri Linkov
http://www.jurta.org/emacs/